## org.apache.cocoon.interpreter.ecmascript
Class EcmaScriptModule

    java.lang.Object
      |
      +--org.apache.cocoon.interpreter.ecmascript.EcmaScriptModule

All Implemented Interfaces:
  Module

public class EcmaScriptModule
extends java.lang.Object
implements Module

Version:
  $Revision: 1.6 $ $Date: 2000/02/13 18:29:26 $
Author:
  Ricardo Rocha

Constructor Summary
`EcmaScriptModule(java.lang.String theModule)`

Method Summary
`Instance` `createInstance(org.w3c.dom.Document document, java.util.Dictionary parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcmaScriptModule

    public EcmaScriptModule(java.lang.String theModule)
                     throws LanguageException

Method Detail

### createInstance

    public Instance createInstance(org.w3c.dom.Document document,
                                   java.util.Dictionary parameters)
                            throws LanguageException

  Specified by:
    `createInstance` in interface `Module`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.